<div *ngIf="!showResults">
    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <div class="row">
                <div class="col">
                    <div class="alert alert-box" role="alert">
                        <h3>Reportistica Rilievi</h3>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <app-alert></app-alert>
                </div>
            </div>
            <!------------------------------------------------------------------------------------------------------------------------------------>
            <form #inquiryFormRef="ngForm">
                <div class="row">
                    <div class="col"></div>
                    <div class="col">
                        <div class="form-group">
                            <input class="form-check-input" [(ngModel)]="modelCriteria.type" type="radio"
                                name="Regolarizzati" value="REGULARIZED" id="radio1">
                            <label class="form-check-label" for="radio1">
                                Regolarizzati
                            </label>
                        </div>
                    </div>
                    <div class="col">
                        <div class="form-group">
                            <input class="form-check-input" [(ngModel)]="modelCriteria.type" type="radio"
                                name="Non Regolarizzati" value="NOT_REGULARIZED" id="radio2">
                            <label class="form-check-label" for="radio2">
                                Non Regolarizzati
                            </label>
                        </div>
                    </div>
                    <div class="col">
                        <div class="form-group">
                            <input class="form-check-input" [(ngModel)]="modelCriteria.type" type="radio"
                                name="Tutti" value="ALL" id="radio3">
                            <label class="form-check-label" for="radio3">
                                Tutti
                            </label>
                        </div>
                    </div>
                </div>
                <!-------------------------------------------------------------------------------------------------------------------------------------------->
                <hr>
                
                <div class="form-group row">    
                    <label class="col-md-2 col-form-label">Data Inserimento</label>
                    <div class="col">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><strong class="fontlabel">DA:</strong></div>
                                </div>
                                <input style="text-align: center;"  placeholder="gg/mm/aaaa" type="text" class="form-control" autocomplete="off"
                                [(ngModel)]="modelCriteria._insertDateFrom" name="insertDateFrom" bsDatepicker
                                [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                                [bsValue]="model._insertDate" >
                              
                            </div>
    
                        </div>
                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong class="fontlabel">A:</strong></div>
                            </div>
                        <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" class="form-control" autocomplete="off"
                        [(ngModel)]="modelCriteria._insertDateTo" name="insertDateTo" bsDatepicker 
                        [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                        [bsValue]="model._insertDate">
                        </div>
                    </div>
                    <div class="col"></div>

                </div>
                <!------------------------------------------------------------------------------------------------------------------>
               
                <div class="form-group row">
                        
                    <label class="col-md-2 col-form-label">Data Competenza</label>
                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong class="fontlabel">DA:</strong></div>
                            </div>
                            <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" autocomplete="off" class="form-control" 
                            [(ngModel)]="modelCriteria._competenceDateFrom" name="competenceDateFrom" bsDatepicker
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                            [bsValue]="model._competenceDate"  #competenceDateRef="ngModel" >
                           
                        </div>
                    </div>
                    
                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong class="fontlabel">A:</strong></div>
                            </div>
                        <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" autocomplete="off" class="form-control"
                        [(ngModel)]="modelCriteria._competenceDateTo" name="_competenceDateTo" bsDatepicker 
                        [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                        [bsValue]="model._competenceDate" 
                        #competenceDateRef="ngModel">
                        </div>
                    </div>
                    <div class="col"></div>

                </div>
                <!------------------------------------------------------------------------------------------------------------------>
               
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Causale Rilievo</label>
                    <div class="col">
    
                            <ng-select [items]="reasonList" placeholder="Tutti" name="reason"
                                style="width: 100%;" notFoundText="Nessun Risultato" bindLabel="full"
                                [(ngModel)]="modelCriteria.reason" #reasonRef="ngModel">
                            </ng-select>
                    </div>
                    <div class="col"> </div>
                    <div class="col"></div>
                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Voce Daco</label>
                    <div class="col">
                        <div class="input-group input-group-sm">
                            <ng-select [items]="dacoList" name="daco" style="width: 100%;"
                                (change)="selectionDacoChanged($event)" bindLabel="full"
                                placeholder="Tutte" notFoundText="Nessun Risultato"
                                [(ngModel)]="modelCriteria.daco" #dacoRef="ngModel">
                            </ng-select>
                        </div>
                    </div>
                    <div class="col">
                    
                    </div>
                    <div class="col"></div>

                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Connotazione a Perdita</label>
                    <div class="col">
                        <ng-select [(ngModel)]="modelCriteria.status" name="status" [items]="statusList"
                            bindLabel="full" placeholder="Tutti"
                            notFoundText="Nessun Risultato">
                        </ng-select>
                    </div>
                        <div class="col">
                            </div>
                    
                    <div class="col"></div>
                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Filiale</label>
                    <div class="col">
                        <ng-select [items]="branchOptions" name="branch" style="width: 100%" bindLabel="full"
                            placeholder="Tutte" notFoundText="Nessun Risultato"
                            (change)="selectionBranchChanged($event)" [(ngModel)]="modelCriteria.branch"
                            #BranchRef="ngModel">
                        </ng-select>
                    </div>
                    <div class="col">
                     
                    </div>
                    <div class="col"></div>
                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Denominazione Up</label>
                    <div class="col">
                        <ng-select [items]="modelCriteria.branch?.office" name="office" style="width: 100%"
                            [disabled]="modelCriteria.branch == null ||  modelCriteria.branch.office?.length == 0"
                            bindLabel="fractionalDescription" placeholder="Seleziona Denominazione"
                            notFoundText="Nessun Risultato" (change)="selectionOfficeChanged($event)"
                            [(ngModel)]="modelCriteria.office" #OfficeRef="ngModel">
                        </ng-select>
                    </div>
                    <div class="col">
                          
                        </div>

                    <div class="col"></div>

                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Frazionario Up</label>
                    <div class="col">
                        <input type="text" class="form-control " placeholder="Inserisci un Frazionario"
                            name="Frazionario" (change)="fractionalChanged($event)"
                            [(ngModel)]="modelCriteria.fractional" maxlength="20" #frazionarioRef="ngModel">
                    </div>
                    <div class="col"></div>
                    <div class="col"></div>
                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Importo: </label>
                    <div class="col">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><strong class="fontlabel">DA:</strong></div>
                                </div>
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><strong class="fontlabel">€</strong></div>
                                </div>
                                <input type="text" class="form-control" name="amountFrom"
                                [(ngModel)]="modelCriteria.amountFrom" autocomplete="off"
                                 (keydown)="checkAmountDigit($event)" maxlength="14"
                                pattern="^[0-9]{1,}([.][0-9]{1,2})?$" min="0">
                              
                            </div>
                        </div>
                    
                    <div class="col">
                            <div class="input-group">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><strong class="fontlabel">A:</strong></div>
                                    </div>
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><strong class="fontlabel">€</strong></div>
                                    </div>
                        <input type="text" maxlength="14" class="form-control" autocomplete="off"
                        (keydown)="checkAmountDigit($event)"
                       pattern="^[0-9]{1,}([.][0-9]{1,2})?$" min="0" name="amountTo"
                       [(ngModel)]="modelCriteria.amountTo">
                       </div>
                    </div>
                    <div class="col"></div>
                </div>
                <div class="row">
                    <label class="col-md-2 col-form-label">Utente</label>
                    <div class="col">
                        <input type="text" class="form-control" name="appUserCode"
                            [(ngModel)]="modelCriteria.appUserCode" placeholder="Inserisci Utente">
                    </div>
                    <div class="col"></div>
                    <div class="col"></div>
                </div>
                <hr>
                <div class="row">
                        <div class="col">
                                <button type="button" class="btn btn-sm btn-danger size" (click)="goToHome()" style="float: right; margin-left: 20px;"
                                    (click)="goToHome()">Annulla</button>
                                <button type="submit"
                                    class="btn btn-sm btn-success size" (click)="toggleResults()" style="float: right;"><span class="oi oi-magnifying-glass"></span>
                                    Ricerca</button>
                            </div>
                </div>
            </form>
            <br>
        </div>
    </div>
</div>
<!------------------------------------------RISULTATI------------------------------------------------------------->
<div [hidden]="!showResults">
    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <div class="row">
                <div class="col">
                    <div class="alert alert-box" role="alert">
                        <h3>Reportistica Rilievi</h3>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <app-alert></app-alert>
                </div>
            </div>
            <!------------------------------------------------------------------------------------------------------------------------------------>
            <form #consultationFormRef="ngForm">
                <div class="form-group row">
                    <div class="col">
                        <label class="labelResult">Stato</label>
                        <input class="form-control textResult form-control-sm" name="searchStatus"
                        [ngModel]="modelCriteria.type == 'REGULARIZED' ? 'Regolarizzato' : (modelCriteria.type == 'NOT_REGULARIZED' ? 'Non Regolarizzato' : 'Tutti')" type="text" disabled>
                    </div>
                    <div class="col">
                        <label class="labelResult"> Data Inserimento</label>
                        <div class="input-group input-group-sm">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong class="fontlabel">DA/A</strong></div>
                            </div>
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._insertDateFrom | date: 'dd/MM/yyyy' " name="insertDateFrom">
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._insertDateTo | date: 'dd/MM/yyyy'" name="insertDateTo">
                        </div>

                    </div>
                    <div class="col"><label class="labelResult"> Data Competenza</label>
                        <div class="input-group input-group-sm">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong class="fontlabel">DA/A</strong></div>
                            </div>
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._competenceDateFrom| date: 'dd/MM/yyyy'"
                                name="competenceDateFrom">
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._competenceDateTo| date: 'dd/MM/yyyy'" name="competenceDateTo">
                        </div>
                    </div>
                    <div class="col">

                        <label class="labelResult">Importo: </label>
                        <div class="input-group input-group-sm">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong class="fontlabel">DA/A</strong></div>
                            </div>
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong class="fontlabel">€</strong></div>
                            </div>
                            <input type="text" class="form-control textResult form-control-sm" name="amountFrom"
                                disabled [ngModel]="modelCriteria?.amountFrom">
                            <input type="text" class="form-control textResult form-control-sm" name="amountTo" disabled
                                [ngModel]="modelCriteria?.amountTo">
                        </div>
                    </div>

                </div>
                <div class="form-group row">
                    <div class="col">
                        <label class="labelResult">Causale Rilievo</label>
                        <input style="font-size: 11.5px;" type="text" class="form-control textResult form-control-sm"
                            name="reason" disabled [ngModel]="modelCriteria?.reason?.full">
                    </div>
                    <div class="col">
                        <label class="labelResult">Voce Daco</label>
                        <input type="text" class="form-control textResult form-control-sm" name="daco" disabled
                            [ngModel]="modelCriteria?.daco?.full">
                    </div>
                    <div class="col">
                        <label class="labelResult">Connotazione a Perdita</label>
                        <input type="text" class="form-control textResult form-control-sm" name="status"
                            [ngModel]="modelCriteria?.status?.full" disabled>
                    </div>
                    <div class="col">
                        <label class="labelResult">Utente</label>
                        <input type="text" class="form-control textResult form-control-sm" name="appUserCode" disabled
                            [ngModel]="modelCriteria?.appUserCode">
                    </div>

                </div>

                <div class="row">

                    <div class="col">
                        <label class="labelResult">Filiale</label>
                        <input type="text" class="form-control textResult form-control-sm" name="branch" disabled
                            [ngModel]="modelCriteria?.branch?.full">
                    </div>

                    <div class="col">
                        <label class="labelResult">Denominazione Up</label>
                        <input type="text" class="form-control textResult form-control-sm" name="office" disabled
                            [ngModel]="modelCriteria?.office?.fractionalDescription">

                    </div>

                    <div class="col">
                        <label class="labelResult">Frazionario Up</label>
                        <input type="text" disabled class="form-control textResult form-control-sm " name="Frazionario"
                            [ngModel]="modelCriteria?.fractional">
                    </div>

                    <div class="col"></div>
                </div>
                <!-------------------------------------------------------------------------------------------------------------------------------------------->
                <hr>
                <!------------------------------------------------------------------------------------------------------------------>
                <br>
                <div class="row" style="width: 100%; display: inline-block">
                    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" id="resultReportEvaluation"
                        class="row-border centered-datatables  " style="width: 100%">

                    </table>
                </div>
                <hr>
                <div class="row">
                        <div class="col">
                                <button type="button" class="btn btn-sm btn-danger size buttonCancel" (click)="goToHome()" 
                                    (click)="goToHome()">Annulla</button>
                                <button type="submit"
                                    class="btn btn-sm btn-success size buttonConfirm" (click)="toggleSearch()" ><span class="oi oi-magnifying-glass"></span> Nuova
                                    Ricerca</button>
                            </div>
                </div>
            </form>
            <br>
        </div>
    </div>
</div>
<br>
<div class="col-md-2"></div>